package com.ibeetl.admin.flow.dao;

import com.ibeetl.admin.flow.entity.DirectedChannelEntity;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.engine.PageQuery;

import java.util.List;

@SqlResource(value = "flow.channel")
public interface DirectedChannelDao {

    PageQuery<DirectedChannelEntity> searchChannel(PageQuery<DirectedChannelEntity> query);

    void saveChannel(DirectedChannelEntity entity);

    DirectedChannelEntity findChannelById(String id);

    void updateChannel(DirectedChannelEntity entity);

    List<DirectedChannelEntity> findAllChannel();
}
